"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.register = void 0;
const shared_1 = require("@volar/shared");
const rename_1 = require("./rename");
function register(languageService, getTextDocument) {
    return (oldUri, newUri) => {
        const fileToRename = shared_1.uriToFsPath(oldUri);
        const newFilePath = shared_1.uriToFsPath(newUri);
        const response = languageService.getEditsForFileRename(fileToRename, newFilePath, {}, { allowTextChangesInNewFiles: true });
        if (!response.length)
            return;
        const edits = rename_1.fileTextChangesToWorkspaceEdit(response, getTextDocument);
        return edits;
    };
}
exports.register = register;
//# sourceMappingURL=fileRename.js.map